
-- DROP TABLE tl_work_flow_template;



CREATE TABLE tl_work_flow_template (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    template_name text NOT NULL,
    landing_button_text text NULL,
    verification_header_text text NULL,
    capture_cv char(1) NULL,
    is_cv_mandatory char(1) NULL,
    capture_cl char(1) NULL,
    is_cl_mandatory char(1) NULL,
    application_button_text text NULL,
    application_response_action varchar(200) NOT NULL,
    thank_you_header_text text NULL,
    thank_you_secondary_text text NULL,
    job_outline_button_text text NULL,
    is_global_template char(1) NULL,
    is_system_generated char(1) NULL,
    withdrawal_message_id numeric(12)  NULL,
    hiring_team_id numeric(12)  NULL
    );



ALTER TABLE tl_work_flow_template ADD    
    CONSTRAINT PK_tl_work_flow_template PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_work_flow_template_hiring_team_id 
    ON tl_work_flow_template (hiring_team_id);
